# hours-from-time

Extracts the hours component of a time value. Note that this is from the localized value, not the normalized value: for example if the supplied time value is 01:23:00+05:00 then the result is 1.

hours-from-time($arg as xs:time?) → xs:integer?

Arguments
| $arg | xs:time? | The time value whose hours component is required
Result | xs:integer?

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next